Download it now!
Bug 128923 - LibO 6.3.x Draw/Impress regression: selecting multiple colored lines to change some attribute, the color is reset to Automatic
Summary: LibO 6.3.x Draw/Impress regression: selecting multiple colored lines to chang...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.3.3.2 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.5.0 target:6.4.0.1 target:6.3.5
Keywords: bibisected, bisected, needUITest, regression
Depends on:
Blocks:
 
Reported: 2019-11-20 16:01 UTC by sergio.callegari
Modified: 2019-12-09 12:44 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Test file with two lines with different color (8.13 KB, application/vnd.oasis.opendocument.graphics)
2019-11-20 16:02 UTC, sergio.callegari
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sergio.callegari 2019-11-20 16:01:22 UTC
Description:
Suppose that you have a drawing with multiple lines and that the lines have some color (e.g. black and yellow). If you select one of them to change some attribute, e.g. the line width, the color is recognized and kept. If you select more than one of them to simultaneously change the same attribute on all of them (e.g. to make all the lines have some thickness), the color rather than staying unchanged is flipped to automatic.

Steps to Reproduce:
Open drawing or presentation with two lines, one blue, one red. Select both lines and right click for the context menu. Click line to get the line properties menu. Notice that the color is preset to automatic. Change the thickness. Press OK. 

Actual Results:
The lines get the same color (typically white on white and disappear).

Expected Results:
The lines should get the new thickness but keep their original color.


Reproducible: Always


User Profile Reset: No



Additional Info:
[Information automatically included from LibreOffice]
Locale: en-US
Module: PresentationDocument
[Information guessed from browser]
OS: Linux (All)
OS is 64bit: yes
Comment 1 sergio.callegari 2019-11-20 16:02:19 UTC
Created attachment 155978 [details]
Test file with two lines with different color
Comment 2 sergio.callegari 2019-11-20 16:09:00 UTC
Issue is also present in 6.2.x but less severe. In 6.2 if the many objects are the same color, the color is preserved. In LibO 6.3.x even if the many objects are the same color, the color is reset to automatic.
Comment 3 raal 2019-12-05 16:34:33 UTC
Confirm with Version: 6.4.0.0.beta1+ (x64)
Build ID: 7f1a82783ce1bfad08fcf39025c985c56fc3d90f
CPU threads: 4; OS: Windows 6.1 Service Pack 1 Build 7601; UI render: default; VCL: win; 

but not in Version: 4.2.0.0.alpha1+
Build ID: fc8f44e82de4ebdd50ac5fbb9207cd1a59a927e3
Comment 4 raal 2019-12-05 17:21:37 UTC
This seems to have begun at the below commit.
Adding Cc: to Caolán McNamara; Could you possibly take a look at this one? Thanks

bibisect-win32-5.3

f26fbbd08d0792fd5fc361faaa1cf183824bdd44 is the first bad commit
commit f26fbbd08d0792fd5fc361faaa1cf183824bdd44
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Mon Nov 7 13:28:42 2016 -0800

    source sha:64a708cba9b954afe3331f63c58218eb53b3d0ce

author	Caolán McNamara <caolanm@redhat.com>	2016-11-05 20:28:27 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2016-11-07 21:04:50 +0000
commit	64a708cba9b954afe3331f63c58218eb53b3d0ce (patch)
tree	ddc1bea3b63f32a1c6d377c1d1dd7aee0803fb70
parent	f01c49c4a89ecad2376fd0023625186e5cac642e (diff)
Revert "Reverts a commit series that cripple windows ci."
Comment 5 Commit Notification 2019-12-06 20:24:03 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/444161dde3beeed5306d2f2432fcd99aa94c3c0b

Resolves: tdf#128923 should be able to change attributes of multiple lines...

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2019-12-07 19:40:52 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/23440b106ba7c84f91bd88f92a2580d626a829eb

Resolves: tdf#128923 should be able to change attributes of multiple lines...

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Caolán McNamara 2019-12-07 19:53:47 UTC
fixed in master and 6-4, backport to 6-3 in gerrit
Comment 8 Xisco Faulí 2019-12-09 12:43:16 UTC
Verified in

Version: 6.5.0.0.alpha0+
Build ID: 46a07f2042a812fc552e26736183c7d06fe6aa35
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!
Comment 9 Commit Notification 2019-12-09 12:44:28 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/524d3754bee2161c1caa01d5415b39726dd668c9

Resolves: tdf#128923 should be able to change attributes of multiple lines...

It will be available in 6.3.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.